# Copyright (C) 2002-2005 ObjectWeb
#
# CAROL: Common Architecture for RMI ObjectWeb Layer
#
# This library is developed inside the ObjectWeb Consortium,
# http://www.objectweb.org
#
# This library is free software; you can redistribute it and/or
#modify it under the terms of the GNU Lesser General Public
# License as published by the Free Software Foundation; either
# version 2.1 of the License, or any later version.
#
# This library is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public
# License along with this library; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
# USA
#
# --------------------------------------------------------------------------
# $Id: carol.properties 8010 2006-02-13 16:54:11  0000 (Mon, 13 Feb 2006) pelletib $
# --------------------------------------------------------------------------
 
# jonas rmi activation (iiop, irmi, jrmp, jeremie, cmi)
carol.protocols=jrmp

# RMI IRMI URL
carol.irmi.url=rmi://localhost:1098
 
# RMI JRMP URL
carol.jrmp.url=rmi://localhost:2006

# RMI JEREMIE URL
carol.jeremie.url=jrmi://localhost:2000

# RMI IIOP URL
carol.iiop.url=iiop://localhost:2001


######################################################################
#             Configuration for CMI (clustering)
######################################################################

# java.naming.provider.url property
# For a server : the URL on which the registry will be started
# For clients : lists the registries available
carol.cmi.url=cmi://localhost:2002

# JGroups configuration file
carol.cmi.jgroups.conf=jgroups-cmi.xml

# Multicast address used by the registries in the cluster
# !!! Deprecated - Not used if carol.cmi.jgroups.conf is set
#carol.cmi.multicast.address=224.0.0.35:35467

# IP address or network mask of the local network interface to use to send
# multicast messages
# Needed only when the server has several network interfaces and the multicast
# messages do not go through to interface you want them to use
# Works only on JDK 1.4
# !!! Deprecated - Not used if carol.cmi.jgroups.conf is set
#carol.cmi.multicast.itf 192.168.25.0/24

# Groupname for Javagroups. No need to change if don't know.
carol.cmi.multicast.groupname=G1

# Factor used for this server in wheighted round robin algorithms
carol.cmi.rr.factor=100

# If enabled, cluster stubs will print messages on some error cases
carol.cmi.stub.debug=false


######################################################################
#             Advanced Configuration for IRMI
######################################################################
# Exported objects will listen on this port for remote method
# invocations.
#A value of 0 will cause a random port to be selected.
# This is the default value.
# Warning : if the port is set (not 0) with the value 'n', be aware that
# the port 'n   1' will be used by the JMX server.
# So, for the firewall configuration, you have to open the port numbers 'n'
# and 'n 1'.
carol.irmi.server.port=0

# Use only a single interface when creating the registry
# (specified in carol.irmi.url property)
# Use all interfaces available [default configuration = false]
carol.irmi.interfaces.bind.single=false

######################################################################
#             Advanced Configuration for JRMP
######################################################################
# If true, local call with jrmp are optimized. If you get "ClassCastException
# with 2 beans in different jars, you should set it at "false".
carol.jvm.rmi.local.call=false

# If true a local Naming context is used (to be used only with a collocated registry)
carol.jvm.rmi.local.registry=false

# The value of this port is used to set the port of the objects listener.
# This allow to use this port for a firewall configuration.
# If registry and server are on same host, the two ports to open are the following and the registry port.
# 0 means random port [default configuration = 0]
carol.jrmp.server.port=0

# Use only a single interface when creating the registry
# (specified in carol.jrmp.url property)
# Use all interfaces available [default configuration = false]
carol.jrmp.interfaces.bind.single=false


######################################################################
#             Advanced Configuration for Jeremie
######################################################################
# The value of this port is used to set the port of the objects listener.
# This allow to use this port for a firewall configuration.
# If registry and server are on same host, the two ports to open are the following and the registry port.
# 0 means random port [default configuration = 0]
carol.jeremie.server.port=0

######################################################################
#             Advanced Configuration for IIOP
######################################################################
# The value of this port is used to set the port of the objects listener.
# This allow to use this port for a firewall configuration.
# If registry and server are on same host, the two ports to open are the following and the registry port.
# 0 means random port [default configuration = 0]
carol.iiop.server.port=0

# The value of this port is used to set the SSL port of the objects listener.
# Note that this port musn't not be set to 0 as it is used for CsiV2.
# but this port is used only if SSL mode is enable.
# So by default, there is no listener on this port
# [default configuration = not used]
carol.iiop.server.sslport=2003

# Delegate used by JOnAS for rmi-iiop protocol
carol.iiop.PortableRemoteObjectClass=org.objectweb.jonas_lib.naming.JacORBPRODelegate


######################################################################
#             Advanced JNDI Configuration
######################################################################
carol.jndi.java.naming.factory.url.pkgs=org.objectweb.jonas.naming